# home

Hi there! This repository contains all of my (publically available) `$HOME` files. This is mainly meant as a utility for my own use, but if you'd like to base your configs on mine for some reason, feel free!

This repository contains submodules, make sure to clone those as well with the following command:

```sh
git clone --recurse-submodules https://www.coastalcommits.com/Seaswimmer/home.git
```

Or, if you've already cloned the repository, initialize the submodules with the following command:

```sh
git submodules update --recursive
```

## Notes

- `.zshc/aliases.sh` contains aliases for `nano`, `vim`, and `vi`, that invoke `nvim`. If you use any of these editors, you may want to change these aliases before reloading your shell.
- `.zshc/aliases.sh` contains an alias for `htop`, that invokes `btop`. If you do not have `btop`, either install it or remove this alias.
- `.zshc/aliases.sh` contains an alias for `clip`, that invokes `xsel -ib`. If you do not use X11, you may want to remove or modify this alias.
- `.zshc/aliases.sh` contains an alias for `driver` and `gpu` that invoke `nvidia-smi` and `sudo nvidia-settings` respectively. If you do not have an NVIDIA GPU, you may want to remove or modify these aliases.
- If you are not an Arch Linux user, you will want to change the following things:
  - `.zshc/aliases.sh`: Remove the `aur` alias.
  - `.zshrc`: Replace the `archlinux` plugin with the [oh-my-zsh plugin(s) for your distrubtion](https://github.com/ohmyzsh/ohmyzsh/wiki/Plugins-Overview#distro-related).
